Subject: Re: [PATCH net-next 2/3] net: dsa: mv88e6xxx: change default return of mv88e6xxx_port_bridge_flags

From: Ido Schimmel <[email-masked]>
Date: Tue, 6 Dec 2022 14:30:29 +0200

On Mon, Dec 05, 2022 at 07:59:07PM +0100, Hans J. Schultz wrote:
> The default return value -EOPNOTSUPP of mv88e6xxx_port_bridge_flags()
> came from the return value of the DSA method port_egress_floods() in
> commit 4f85901f0063 ("net: dsa: mv88e6xxx: add support for bridge flags"),
> but the DSA API was changed in commit a8b659e7ff75 ("net: dsa: act as
> passthrough for bridge port flags"), resulting in the return value
> -EOPNOTSUPP not being valid anymore.

The commit message needs to explain the motivation for the change and
why the change is not a bug fix / safe. I guess the motivation is the
next patch where a change in the MAB flag cannot fail and therefore it
has no reason to reset the 'err' variable. The change is only safe if
upper layers only invoke the operation when supported bridge port flags
are changed. That is, the default error code is never used.